# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cache/FastMmap.pm) perl(Config/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(List/MoreUtils.pm) perl(Log/Tiny.pm) perl(Net/DNS.pm) perl(Net/DNS/Nameserver.pm) perl(Net/IP/XS.pm) perl(Regexp/IPv6.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.301
%define module_name Net-DNS-Nameserver-Trivial
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.301
Release: alt1
Summary: Trivial DNS server, that is based on Net::DNS::Nameserver module.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/ST/STRZELEC/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The `Net::DNS::Nameserver::Trivial' is a very simple nameserver, that is 
sufficient for local domains. It supports cacheing, slaves,  zone
transfer and common records such as A, AAAA, SOA, NS, MX, TXT, PTR, 
CNAME. This module was tested in an environment with over 1000 users and 
for now is running in a production environment.

The main goal was to produce server, that is very easy in configuration
and it can be setup in a few seconds. So You should consider BIND if for 
some reasons You need more powerful and complex nameserver.

This module was prepared to cooperete with `Config::Tiny', so it is 
possible to prepare configuration files and run server with them,
as it was shown in an example above.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README example
%perl_vendor_privlib/N*

%changelog
* Tue Apr 15 2014 Igor Vlasenko <viy@altlinux.ru> 0.301-alt1
- regenerated from template by package builder

* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.201-alt1
- initial import by package builder

